diff --git a/src/libvirt.c b/src/libvirt.c
index dfd9f05..b72a266 100644
--- a/src/libvirt.c
+++ b/src/libvirt.c
@@ -2277,7 +2277,7 @@ virDomainTakeSnapshot(virDomainPtr domain, const char *name){
 
 	error:
 		/* Copy to connection error object for back compatability */
-		virSetConnError(domain->conn);
+		    virDispatchError(domain->conn);
 		return -1;
 }
 
@@ -2322,7 +2322,7 @@ virDomainRestoreSnapshot(virDomainPtr domain, const char *name){
 
 	error:
 		/* Copy to connection error object for back compatability */
-		virSetConnError(domain->conn);
+		    virDispatchError(domain->conn);
 		return -1;
 }
 
@@ -2367,7 +2367,7 @@ virDomainDeleteSnapshot(virDomainPtr domain, const char *name){
 
 	error:
 		/* Copy to connection error object for back compatability */
-		virSetConnError(domain->conn);
+		    virDispatchError(domain->conn);
 		return -1;
 }
 
@@ -2411,7 +2411,7 @@ virDomainListSnapshots(virDomainPtr domain, char **sslist,int listsize){
 
 	error:
 		/* Copy to connection error object for back compatability */
-		virSetConnError(domain->conn);
+		    virDispatchError(domain->conn);
 		return -1;
 }
 
@@ -2456,7 +2456,7 @@ virDomainTakeScreenshot(virDomainPtr domain, const char *path){
 
 	error:
 		/* Copy to connection error object for back compatability */
-		virSetConnError(domain->conn);
+		    virDispatchError(domain->conn);
 		return -1;
 }
 
diff --git a/src/qemu/qemu_monitor_text.c b/src/qemu/qemu_monitor_text.c
index 66c06e7..284b9b1 100644
--- a/src/qemu/qemu_monitor_text.c
+++ b/src/qemu/qemu_monitor_text.c
@@ -1897,7 +1897,7 @@ int qemuMonitorTextListSnapshots(qemuMonitorPtr mon,
 	line = reply;
 	line = strtok(line,"\n");
 
-	regcomp(&rexp,"^([[:digit:]]+)[[:space:]]+(([[:alnum:]]+[:space:]]*)*[[:alnum:])[[:space:]]+([[:digit:]]+)M[[:space:]]+([[:digit:]]{4}-[[:digit:]]{2}-[[:digit:]]{2}[[:space:]]+[[:digit:]]{2}:[[:digit:]]{2}:[[:digit:]]{2})[[:space:]]+[[:digit:]]{2}:[[:digit:]]{2}:[[:digit:]]{2}.[[:digit:]]{3}[[:space:]]+$",REG_EXTENDED);
+	regcomp(&rexp,"^([[:digit:]]+)[[:space:]]+(([[:alnum:]]+[[:space:]]*)*[[:alnum:]])[[:space:]]+([[:digit:]]+)M[[:space:]]+([[:digit:]]{4}-[[:digit:]]{2}-[[:digit:]]{2}[[:space:]]+[[:digit:]]{2}:[[:digit:]]{2}:[[:digit:]]{2})[[:space:]]+[[:digit:]]{2}:[[:digit:]]{2}:[[:digit:]]{2}.[[:digit:]]{3}[[:space:]]+$",REG_EXTENDED);
 
 	//0: Full Line
 	//1: ID
